PWRModActor = nil

local function log(msg)
  print("[PWRLUA]: " .. msg)
end

log("Registering Init Event...")

RegisterCustomEvent("PWR_Init", function(self)
  PWRModActor = self:get()

  RegisterHook("/Script/Pal.PalPlayerCharacter:OnCompleteInitializeParameter", function(Context)
    log("CALLED OnCompleteInitializeParameter\n")
    local PlayerCharacter = Context:get()

    local PlayerController = PlayerCharacter.Controller
    if PlayerController == nil then
      log("PlayerController is NIL!\n")
      return
    end
    if not PlayerController:IsValid() then
      log("PlayerController is INVALID!\n")
      return
    end

    local PlayerState = PlayerController.PlayerState
    if PlayerState == nil then
      log("PlayerState is NIL!\n")
      return
    end
    if not PlayerState:IsValid() then
      log("PlayerState is INVALID!\n")
      return
    end

    log("Registering player...\n")
    PWRModActor:Entry(PlayerCharacter)
  end)
end)
