# **Palworld Racing**

#### A combo server/client mod which changes Palworld into a timed, competitive speedrunning game.

Check out the [Palworld Modding Community discord thread](https://discord.com/channels/881638083169230928/1219329841623470182) for news and development details!

![Logo_512](https://i.imgur.com/bz5VcPZ.png)

# Features:

:white_square_button: = Planned
:ballot_box_with_check: = Implemented

- :ballot_box_with_check: **Player Lobby System**
- :white_square_button: Multiple Game Modes
  - :white_square_button: Point-based Race (each completed event or stat increase gives a certain amount of points)
  - :ballot_box_with_check: **Level/Capture Race**
  - :white_square_button: Egg Race
  - :white_square_button: etc...
- :white_square_button: Voting on Game Mode and Configuration settings
- :white_square_button: Automatic server resets (at the end of each match)
- **_Email your suggestions to [palworldracing@gmail.com](mailto:palworldracing@gmail.com)!_**

<br/>

# Automated Installation:

- Use Thunderstore Mod Manager (Not yet supported, coming soon!)

<br/>

# Manual Installation:

- **Client:**

  - Install [UE4SS _(v3.0.1 or higher)_](https://github.com/UE4SS-RE/RE-UE4SS/releases)
  - Download the latest PWR release from [the releases page](https://github.com/Spectre-Cular/PalworldRacing/releases)
  - Navigate to the root folder of the game (where `Palworld.exe` is located)... You can find this by right-clicking _Palworld_ in Steam and navigating to _Manage_ > _Browse Local Files..._
  - Extract `Pal/Content` into the root folder's `Pal/Content`, making sure not to extract `Pal/Binaries`

- **Server:**
  - **NOTE:** Only Windows servers are currently supported
  - Follow the same instructions for the **Client** above, but for `PalServer.exe` and `Palworld Dedicated Server` instead, and also extract & keep the `Pal/Binaries` subfolder
  - Install localcc's [ReplicationEnabler](https://thunderstore.io/c/palworld/p/localcc/ReplicationEnabler/) mod

# Credits

@localcc - For UE4SS contributions, [PalworldModdingKit](https://github.com/localcc/PalworldModdingKit), fixing actor replication, and general help<br/>
@Yangff - For helping with replication fix, and general help<br/>
@Okaetsu - For always being an awesome, helpful cat person 😸<br/>
@CosmicDan - For general/networking help<br/>
... and the majority of the [#developers-help](https://discord.com/channels/881638083169230928/1199881629095694427) channel! You guys rock!
